## hash-o-matic 1.0.1+p24.04+vstable+git20251001.0450

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20251001.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:50:22 +0000

hash-o-matic (1.0.1-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Mon, 18 Nov 2024 10:04:07 +1000
