=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20251015.1737-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:37:50 +0000
