=== debian/control ===
Source: hash-o-matic
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-kwindowsystem-dev,
               kf6-qqc2-desktop-style-dev,
               kpim6-libkleo-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-multimedia-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/hash-o-matic.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/hash-o-matic
Maintainer: Neon CI <neon@kde.org>

Package: hash-o-matic
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE checksum generator
 Hash-o-matic is an application allowing to generate sha256, sha1 and md5
 checksum from files.
