## hash-o-matic 1.0.1+p24.04+vstable+git20260105.0910

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20260105.0910-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:10:59 +0000
