## hash-o-matic 1.0.1+p24.04+vstable+git20260130.0743

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vstable+git20260130.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 07:43:19 +0000
