## hash-o-matic 1.0.1+p24.04+vunstable+git20260130.0803

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vunstable+git20260130.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:03:20 +0000
