## hash-o-matic 1.0.1+p24.04+vunstable+git20260205.0757

=== debian/changelog ===
hash-o-matic (1.0.1+p24.04+vunstable+git20260205.0757-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:57:45 +0000
